import 'package:flutter/widgets.dart';
import 'package:sunny_dart/sunny_dart.dart';
import 'package:sunny_lifecycle/help.dart';

mixin HelpMixin {
  List<HelpSnippet> get helpSnippets;

  final Debouncer _limit = Debouncer(delay: 400.ms);
  void checkHelp(BuildContext context) {
    _limit.debounce(() {
      helpService.checkHelp(context, helpSnippets);
    });
  }
}
